<div class="page-layout carded fullwidth inner-scroll">

<!-- TOP BACKGROUND -->
<div class="top-bg {{secondColorBrand}}"></div>  
<!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

        <!-- HEADER -->
        <div class="header white-fg"
                fxLayout="row" fxLayoutAlign="space-between center">

            <!-- APP TITLE -->
            <div fxLayout="row" fxLayoutAlign="start center">

                <div fxLayout="column" fxLayoutAlign="start start"
                        *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                    <div class="h2">
                        Proposta de Contratação de Seguro
                    </div>
                    <div class="subtitle secondary-text">
                        <span>#Cotação 9999999 - 10/10/2019</span>
                    </div>
                </div>
            </div>
            <!-- / APP TITLE -->
            <!-- <div fxLayout="row" fxLayoutAlign="center center" fxLayoutGap="10px">
                <button type="button" *ngIf="canDone()" color="primary" class="mat-white-bg" mat-raised-button (click)="cancelServiceOrder()">Cancelar OS</button>
                <button type="button" *ngIf="canDone()" color="primary" [ngClass]="primaryColorBrand" mat-raised-button (click)="doneServiceOrder()">Concluir OS</button>
            </div> -->
        </div>
        <!-- / HEADER -->

        <!-- CONTENT CARD -->
        <div class="content-card mat-white-bg">

            <!-- CONTENT -->
            <div class="content">
                
                <mat-horizontal-stepper [linear]="true" #stepper>      

                    <!-- PROPOSAL STEP -->
                    <!-- <mat-step [completed]="proposalStepCompleted"> -->
                    <mat-step>
                        <ng-template matStepLabel>Preencher Proposta</ng-template>
                        
                        <tnm-customer-personal></tnm-customer-personal>
                        <tnm-customer-documents></tnm-customer-documents>
                        <tnm-customer-address></tnm-customer-address>
                        <tnm-vehicle-details></tnm-vehicle-details>

                        <div fxLayout="row" fxLayoutAlign="end center">
                            <button mat-button matStepperPrevious>Anterior</button>
                            <button color="primary" mat-raised-button (click)="proposalComplete()">Próximo</button>
                        </div>
                    </mat-step>
                    <!-- // PROPOSAL STEP -->      

                    <!-- PAYMENT STEP -->
                    <!-- <mat-step [completed]="paymentStepCompleted"> -->
                    <mat-step>                        
                        <ng-template matStepLabel>Pagamento</ng-template>
                        <tnm-quote-payment 
                            paymentsTypeAvailable="['CREDIT_CARD','BOOKLET']"
                            (onPaymentTypeChanged)="onPaymentTypeChanged($event)">
                        </tnm-quote-payment>
                    </mat-step>
                    <!-- // PAYMENT STEP -->

                    <!-- PAYMENT STEP -->
                    <mat-step>
                        <ng-template matStepLabel>Confirmação</ng-template>
                        
                        <h1>Parabéns, a sua contratação de seguro foi finalizada com sucesso.</h1>
                        <h4 class="secondary-text">Em breve você irá receber um e-mail com a confirmação da sua contratação.</h4>
                    
                        <p>
                            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse tortor nibh, convallis sed purus nec,
                            auctor venenatis nisl. Suspendisse potenti. Nullam sagittis nulla in diam finibus, sed pharetra velit
                            vestibulum. Suspendisse euismod in urna eu posuere.
                        </p>                        

                    </mat-step>
                    <!-- // PAYMENT STEP -->
                
                </mat-horizontal-stepper>
            </div>
            <!-- / CONTENT -->

        </div>
        <!-- / CONTENT CARD -->

    </div>
    <!-- / CENTER -->
</div>